summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2008-08-26 12:01:44 +0000
committerMarkus Ullmann <jokey@gentoo.org>2008-08-26 12:01:44 +0000
commit917d97c8690d29dcb6ac0d9f6b6d091fc994764a (patch)
tree5426e4079ea2ec8ecc73ee807f9a546addf91654 /net-irc/quassel/files
parentAdding pkgconfig dep (diff)
downloadgentoo-2-917d97c8690d29dcb6ac0d9f6b6d091fc994764a.tar.gz
gentoo-2-917d97c8690d29dcb6ac0d9f6b6d091fc994764a.tar.bz2
gentoo-2-917d97c8690d29dcb6ac0d9f6b6d091fc994764a.zip
Add init script and some other enhancements from Daniel Pielmeier in bug #217510
(Portage version: 2.2_rc8/cvs/Linux 2.6.26-gentoo i686)
Diffstat (limited to 'net-irc/quassel/files')
-rw-r--r--net-irc/quassel/files/quasselcore.conf14
-rw-r--r--net-irc/quassel/files/quasselcore.init22
2 files changed, 36 insertions, 0 deletions
diff --git a/net-irc/quassel/files/quasselcore.conf b/net-irc/quassel/files/quasselcore.conf
new file mode 100644
index 000000000000..8ac3f1095c69
--- /dev/null
+++ b/net-irc/quassel/files/quasselcore.conf
@@ -0,0 +1,14 @@
+# /etc/conf.d/quasselcore
+
+QUASSEL_USER=""
+
+#Available options (QUASSEL_OPTS) for quasselcore:
+#--port -p The port quasselcore will listen at. Default 4242
+#--norestore -n Don't restore last core's state
+#--logfile -l Path to logfile
+#--loglevel -L Loglevel Debug|Info|Warning|Error. Default Info
+#--datadir -0 Specify the directory holding datafiles like the Sqlite DB and the SSL Cert
+
+#QUASSEL_OPTS="--logfile=/var/log/quassel.log"
+#Does not work now, because of missing write permission to /var/log.
+#Maybe creating /var/log/quassel with appropiate permissions will do the trick.
diff --git a/net-irc/quassel/files/quasselcore.init b/net-irc/quassel/files/quasselcore.init
new file mode 100644
index 000000000000..8f1e98698ee8
--- /dev/null
+++ b/net-irc/quassel/files/quasselcore.init
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-irc/quassel/files/quasselcore.init,v 1.1 2008/08/26 12:01:44 jokey Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting Quassel Core"
+ start-stop-daemon --start --user $QUASSEL_USER --background --make-pidfile \
+ --pidfile /var/run/quassel.pid --exec /usr/bin/quasselcore -- ${QUASSEL_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Quassel Core"
+ start-stop-daemon --stop --user $QUASSEL_USER --pidfile /var/run/quassel.pid \
+ --exec /usr/bin/quasselcore
+ eend $?
+}